Page MenuHomePhabricator

Clicking a link in source section that does not exist in target creates a link which is displayed as a working link
Closed, ResolvedPublic1 Estimate Story Points

Description

Steps to reproduce

  1. Translate LaTeX from English to Catalan
  2. Click second paragraph to fill in machine translation
  3. Select an unlinked word
  4. Click "typesetting" on the source column

Link appears as blue instead of gray.

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a project: ContentTranslation.
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2015, 11:24 AM
Amire80 triaged this task as Medium priority.Jun 18 2015, 11:18 AM
Amire80 set Security to None.
Amire80 moved this task from Backlog to Links on the ContentTranslation-Release5 board.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jun 25 2015, 11:09 PM
Amire80 raised the priority of this task from Medium to High.Jul 2 2015, 2:10 PM
Amire80 added a subscriber: Amire80.Jul 2 2015, 2:13 PM

The target link shouldn't be gray. If there is no corresponding page in the target wiki, it shouldn't be added at all. Clicking "Typesetting" in this example, adds a link to ca.wikipedia.org/wiki/Typesetting , and this is useless and wrong.

Instead it should ask what the title is supposed to be (which is T89953, more or less).

Amire80 renamed this task from Clicking a link in source section that does not exist in target creates a link which is displayed as a working link. to Clicking a link in source section that does not exist in target creates a link which is displayed as a working link.Aug 5 2015, 8:04 AM
Amire80 added a project: LE-CX6-Sprint 2.
Arrbee edited a custom field.Aug 12 2015, 7:19 AM
Arrbee lowered the priority of this task from High to Medium.Aug 12 2015, 7:29 AM

Removing from the sprint, but should be tested after resolving T85932.

Adding to the sprint for Runa to test.

Amire80 moved this task from Backlog to QA on the LE-CX6-Sprint 4 board.Sep 21 2015, 7:49 AM
Arrbee added a subscriber: Arrbee.Sep 21 2015, 2:14 PM

Verified as working now. The user is asked if they would like to mark it as a missing link:

Arrbee moved this task from QA to Done on the LE-CX6-Sprint 4 board.Sep 21 2015, 2:14 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:43 PM
Arrbee added a comment.Oct 7 2015, 4:40 AM

Amire80 moved this task to Next release on the MediaWiki-extensions-ContentTranslation workboard.

@Amire80 I don't understand. Why was this moved to the next release? This is already QA confirmed as done.

Amire80 closed this task as Resolved.Oct 7 2015, 6:10 AM
Amire80 claimed this task.
Amire80 moved this task from CX7 to CX6 on the ContentTranslation board.

Amire80 moved this task to Next release on the MediaWiki-extensions-ContentTranslation workboard.

@Amire80 I don't understand. Why was this moved to the next release? This is already QA confirmed as done.

Mistake, thanks for noticing.